M_FILL(3)

FUNCTION
m_fill - Fill memory blocks with a specified value.

SYNOPSIS
#include <karma_m.h>

void m_fill

(void *dest, uaddr stride, CONST void *source, uaddr size, unsigned int num)

DESCRIPTION
Fill memory blocks with a specified value.

dest
    The destination.

stride
    The stride (in bytes) of destination blocks.

source
    The fill block.

size
    The size (in bytes) of the fill value block.

num The number of destination blocks to fill.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/